<?php
/**
 * The Footer: widgets area, logo, footer menu and socials
 *
 * @package WordPress
 * @subpackage RUN_GRAN
 * @since RUN_GRAN 1.0
 */

						// Widgets area inside page content
						run_gran_create_widgets_area('widgets_below_content');
						?>				
					</div><!-- </.content> -->

					<?php
					// Show main sidebar
					get_sidebar();

					// Widgets area below page content
					run_gran_create_widgets_area('widgets_below_page');

					$run_gran_body_style = run_gran_get_theme_option('body_style');
					if ($run_gran_body_style != 'fullscreen') {
						?></div><!-- </.content_wrap> --><?php
					}
					?>
			</div><!-- </.page_content_wrap> -->

			<?php
			// Footer
			$run_gran_footer_type = run_gran_get_theme_option("footer_type");
			if ($run_gran_footer_type == 'custom' && !run_gran_is_layouts_available())
				$run_gran_footer_type = 'default';
			get_template_part( "templates/footer-{$run_gran_footer_type}");
			?>

		</div><!-- /.page_wrap -->

	</div><!-- /.body_wrap -->

	<?php if (run_gran_is_on(run_gran_get_theme_option('debug_mode')) && run_gran_get_file_dir('images/makeup.jpg')!='') { ?>
		<img src="<?php echo esc_url(run_gran_get_file_url('images/makeup.jpg')); ?>" id="makeup">
	<?php } ?>

	<?php wp_footer(); ?>

</body>
</html>