<?php
/**
 * The template to display default site header
 *
 * @package WordPress
 * @subpackage RUN_GRAN
 * @since RUN_GRAN 1.0
 */


$run_gran_header_css = $run_gran_header_image = '';
$run_gran_header_video = run_gran_get_header_video();
if (true || empty($run_gran_header_video)) {
	$run_gran_header_image = get_header_image();
	if (run_gran_trx_addons_featured_image_override()) $run_gran_header_image = run_gran_get_current_mode_image($run_gran_header_image);
}

?><header class="top_panel top_panel_default<?php
					echo !empty($run_gran_header_image) || !empty($run_gran_header_video) ? ' with_bg_image' : ' without_bg_image';
					if ($run_gran_header_video!='') echo ' with_bg_video';
					if ($run_gran_header_image!='') echo ' '.esc_attr(run_gran_add_inline_css_class('background-image: url('.esc_url($run_gran_header_image).');'));
					if (is_single() && has_post_thumbnail()) echo ' with_featured_image';
					if (run_gran_is_on(run_gran_get_theme_option('header_fullheight'))) echo ' header_fullheight run_gran-full-height';
					?> scheme_<?php echo esc_attr(run_gran_is_inherit(run_gran_get_theme_option('header_scheme')) 
													? run_gran_get_theme_option('color_scheme') 
													: run_gran_get_theme_option('header_scheme'));
					?>"><?php

	// Background video
	if (!empty($run_gran_header_video)) {
		get_template_part( 'templates/header-video' );
	}
	
	// Main menu
	if (run_gran_get_theme_option("menu_style") == 'top') {
		get_template_part( 'templates/header-navi' );
	}

	// Page title and breadcrumbs area
	get_template_part( 'templates/header-title');

	// Header widgets area
	get_template_part( 'templates/header-widgets' );

	// Header for single posts
	get_template_part( 'templates/header-single' );

?></header>