<?php
/**
 * The template to display the featured image in the single post
 *
 * @package WordPress
 * @subpackage RUN_GRAN
 * @since RUN_GRAN 1.0
 */

if ( get_query_var('run_gran_header_image')=='' && is_singular() && has_post_thumbnail() && in_array(get_post_type(), array('post', 'page')) )  {
	$run_gran_src = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );
	if (!empty($run_gran_src[0])) {
		run_gran_sc_layouts_showed('featured', true);
		?><div class="sc_layouts_featured with_image <?php echo esc_attr(run_gran_add_inline_css_class('background-image:url('.esc_url($run_gran_src[0]).');')); ?>"></div><?php
	}
}
?>