<?php
/**
 * The template 'Style 2' to displaying related posts
 *
 * @package WordPress
 * @subpackage RUN_GRAN
 * @since RUN_GRAN 1.0
 */

$run_gran_link = get_permalink();
$run_gran_post_format = get_post_format();
$run_gran_post_format = empty($run_gran_post_format) ? 'standard' : str_replace('post-format-', '', $run_gran_post_format);
?><div id="post-<?php the_ID(); ?>" 
	<?php post_class( 'related_item related_item_style_2 post_format_'.esc_attr($run_gran_post_format) ); ?>><?php
	run_gran_show_post_featured(array(
		'thumb_size' => run_gran_get_thumb_size( (int) run_gran_get_theme_option('related_posts') == 1 ? 'huge' : 'big' ),
		'show_no_image' => false,
		'singular' => false
		)
	);
	?><div class="post_header entry-header"><?php
		if ( in_array(get_post_type(), array( 'post', 'attachment' ) ) ) {
			?><span class="post_date"><a href="<?php echo esc_url($run_gran_link); ?>"><?php echo wp_kses_data(run_gran_get_date()); ?></a></span><?php
		}
		?>
		<h6 class="post_title entry-title"><a href="<?php echo esc_url($run_gran_link); ?>"><?php the_title(); ?></a></h6>
	</div>
</div>