<?php
/**
 * The template for homepage posts with "Chess" style
 *
 * @package WordPress
 * @subpackage RUN_GRAN
 * @since RUN_GRAN 1.0
 */

run_gran_storage_set('blog_archive', true);

get_header(); 

if (have_posts()) {

	run_gran_show_layout(get_query_var('blog_archive_start'));

	$run_gran_stickies = is_home() ? get_option( 'sticky_posts' ) : false;
	$run_gran_sticky_out = run_gran_get_theme_option('sticky_style')=='columns' 
							&& is_array($run_gran_stickies) && count($run_gran_stickies) > 0 && get_query_var( 'paged' ) < 1;
	if ($run_gran_sticky_out) {
		?><div class="sticky_wrap columns_wrap"><?php	
	}
	if (!$run_gran_sticky_out) {
		?><div class="chess_wrap posts_container"><?php
	}
	while ( have_posts() ) { the_post(); 
		if ($run_gran_sticky_out && !is_sticky()) {
			$run_gran_sticky_out = false;
			?></div><div class="chess_wrap posts_container"><?php
		}
		get_template_part( 'content', $run_gran_sticky_out && is_sticky() ? 'sticky' :'chess' );
	}
	
	?></div><?php

	run_gran_show_pagination();

	run_gran_show_layout(get_query_var('blog_archive_end'));

} else {

	if ( is_search() )
		get_template_part( 'content', 'none-search' );
	else
		get_template_part( 'content', 'none-archive' );

}

get_footer();
?>